﻿$ErrorActionPreference = 'Stop';

$version = $env:chocolateyPackageVersion
$packageName = $env:chocolateyPackageName
$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"



$packageArgs = @{
  packageName    = $packageName
  fileType       = 'exe'
  url            = 'https://github.com/tree-sitter/tree-sitter/releases/download/v0.20.9/tree-sitter-windows-x86.gz'
  url64bit       = 'https://github.com/tree-sitter/tree-sitter/releases/download/v0.20.9/tree-sitter-windows-x64.gz'
  checksum       = '0650b92bbb53e2bb6f314710367309737b6bf6845bea22f7dc1129466030c1d7'
  checksum64     = '316eb3edd2e50e4028e6e0bd27e6bfb4c5b9d68d7818fbafa5cddd002911518c'
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  unzipLocation  = $toolsDir
}

Install-ChocolateyZipPackage @packageArgs
